## python-peachpy 0.0~git20211013.257881e

=== requirements.txt ===
Opcodes>=0.3.13
six
enum34

=== examples/make/Makefile ===
all: test
.PHONY: clean

PEACHPY_SOURCES = matmul-opt.py
C_SOURCES = matmul-ref.c test.c
OBJECTS = $(PEACHPY_SOURCES:.py=.o) $(C_SOURCES:.c=.o)
DEPENDENCIES = $(PEACHPY_SOURCES:.py=.d) $(C_SOURCES:.c=.d)

-include $(DEPENDENCIES)

%.o: %.py
	python -m peachpy.x86_64 -MMD -MF $(<:.py=.d) -o $(@:.py=.o) $<

%.o: %.c
	$(CC) -m64 -std=gnu99 $(CFLAGS) -MMD -MF $(<:.c=.d) -o $(@:.c=.o) -c $<

test: $(OBJECTS)
	$(CC) -m64 -g $(LDFLAGS) $^ -o $@ $(LDLIBS)

clean:
	-rm -f $(OBJECTS) $(DEPENDENCIES) test

## python-peachpy 0.0~git20200303.f189ad2

=== debian/changelog ===
python-peachpy (0.0~git20200303.f189ad2-3) unstable; urgency=medium

  * Move the sphinx packages from B-D-I to B-D, fixing FTBFS.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 27 Jun 2020 21:11:45 +0800

python-peachpy (0.0~git20200303.f189ad2-2) experimental; urgency=medium

  * Rename doc package from python3-*-doc to python-*-doc.

 -- Mo Zhou <lumin@debian.org>  Fri, 01 May 2020 09:33:46 +0800

python-peachpy (0.0~git20200303.f189ad2-1) experimental; urgency=medium

  * Initial release (Closes: #959184)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 30 Apr 2020 22:02:33 +0800

=== debian/control ===
Source: python-peachpy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 python3-six,
 python3-opcodes,
 python3-sphinx,
 python3-sphinx-bootstrap-theme,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/Maratyszcza/PeachPy
Vcs-Git: https://salsa.debian.org/science-team/python-peachpy.git
Vcs-Browser: https://salsa.debian.org/science-team/python-peachpy

Package: python3-peachpy
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-peachpy-doc,
Description: Portable Efficient Assembly Codegen in Higher-level Python (Python 3)
 PEACH-Py is a Python framework for writing high-performance assembly kernels.
 PEACH-Py is developed to simplify writing optimized assembly kernels while
 preserving all optimization opportunities of traditional assembly. Some
 PEACH-Py features:
  * Automatic register allocation
  * Stack frame management, including re-aligning of stack frame as needed
  * Generating versions of a function for different calling conventions from
    the same source (e.g. functions for Microsoft x64 ABI and System V x86-64
    ABI can be generated from the same source)
  * Allow one to define constants in the place where they are used (just like
    in high-level languages)
  * Tracking of instruction extensions used in the function.
  * Multiplexing of multiple instruction streams (helpful for software
    pipelining)
 .
 This package installs the library for Python 3.

Package: python-peachpy-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-bootstrap,
Built-Using: ${sphinxdoc:Built-Using},
Multi-Arch: foreign
Description: Portable Efficient Assembly Codegen in Higher-level Python (doc)
 PEACH-Py is a Python framework for writing high-performance assembly kernels.
 PEACH-Py is developed to simplify writing optimized assembly kernels while
 preserving all optimization opportunities of traditional assembly.
 .
 This is the common documentation package.

## python-peachpy 0.0~git20211013.257881e

=== debian/changelog ===
python-peachpy (0.0~git20211013.257881e-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools >= 60 (Closes: #1022480)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 11:31:03 +0200

python-peachpy (0.0~git20211013.257881e-1) unstable; urgency=medium

  * New upstream version 0.0~git20211013.257881e (Closes: #966250)

 -- Mo Zhou <lumin@debian.org>  Mon, 10 Jan 2022 00:28:35 -0500

python-peachpy (0.0~git20200303.f189ad2-4) unstable; urgency=medium

  * Append myself to Uploaders.
  * Fix the Vcs-Git and Vcs-Browser URLs.
  * Change python3-peachpy.Architecture to (any-amd64 x32). (Closes: #964352)
  * Make the build reproducible (Chris Lamb). (Closes: #964186)

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jul 2020 14:53:44 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-peachpy
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
+ Mo Zhou <lumin@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -16,11 +17,11 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://github.com/Maratyszcza/PeachPy
-Vcs-Git: https://salsa.debian.org/science-team/python-peachpy.git
-Vcs-Browser: https://salsa.debian.org/science-team/python-peachpy
+Vcs-Git: https://salsa.debian.org/deeplearning-team/python-peachpy.git
+Vcs-Browser: https://salsa.debian.org/deeplearning-team/python-peachpy
 
 Package: python3-peachpy
-Architecture: any
+Architecture: any-amd64 x32
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=peachpy


%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

execute_after_dh_auto_clean:
	-$(RM) -rf sphinx/html PeachPy.egg-info $(grep -lFr 'auto-generated' peachpy)

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build:$$(python3 -c 'import sys;print(":".join(sys.path))') \
		python3 -m sphinx sphinx sphinx/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-peachpy -ppython-peachpy-doc
	dh_installdocs -ppython3-peachpy

override_dh_sphinxdoc:
	dh_sphinxdoc
	-find debian -type d -name 'boots*' -path '*/_static/*' -exec $(RM) -rf '{}' \;
	-find debian -type f,l -name '*.js' -delete

execute_before_dh_link:
	-$(RM) -r \
		debian/python-peachpy-doc/usr/share/doc/python3-peachpy/html/_static/bootstrap-*

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/Maratyszcza/PeachPy \
HEAD debian uupdate
